Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
AuthenticatedSymmetricCipherDocumentation Struct Reference

Each class derived from this one defines two types, Encryption and Decryption, both of which implement the AuthenticatedSymmetricCipher interface. More...

`#include <seckey.h>`

Inheritance diagram for AuthenticatedSymmetricCipherDocumentation:

List of all members.

## Public Types

typedef AuthenticatedSymmetricCipher | Encryption
| implements the AuthenticatedSymmetricCipher interface
typedef AuthenticatedSymmetricCipher | Decryption
| implements the AuthenticatedSymmetricCipher interface

## Detailed Description

Each class derived from this one defines two types, Encryption and Decryption, both of which implement the AuthenticatedSymmetricCipher interface.

Definition at line 211 of file seckey.h.

The documentation for this struct was generated from the following file:

- seckey.h